PXI Module Requires NI-DAQ Driver But I Can't Find One For My OS

Updated Apr 24, 2018

Reported In

Hardware

  • PXI-6602

Driver

  • Traditional NI-DAQ
  • NI-DAQmx

Issue Details

I Have a PXI Module such as the PXI-6602 and it states that it requires the NI-DAQ driver. However, I can only find the driver up to Windows XP Operating System. Where can I get a driver that will work with my module?

Solution

The NI-DAQ driver is a legacy driver and is no longer fully supported. It has been replaced by the DAQmx driver. This will support the majority of our products and versions exist for Windows XP onwards. 

Additional Information

Refer to the NI-DAQmx driver README and details on the download page for detailed description of its compatibility and supported hardware. 

WAS THIS ARTICLE HELPFUL?

Not Helpful